Subject: bug#71822: Feature request: fullwidth to halfwidth

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Mar 2025 15:51:39 +0200

> Date: Mon, 03 Mar 2025 18:53:09 +0900
> From: Kazuhiro Ito <[email-masked]>
> Cc: Dan Jacobson <[email-masked]>,
> 	[email-masked]
> 
> > I eventually decided to write new commands, because the above
> > japanese-* commands are too specific to the Japanese users: for
> > example, they convert kana characters as well.
> > 
> > So there are now new commands fullwidth-region, fullwidth-word,
> > halfwidth-region, and halfwidth-word, which will be in Emacs 31 when
> > it is released.
> 
> New functions don't seem to handle SPACE (U+0020, ' ') and IDEOGRAPHIC
> SPACE (U+3000, '　').  U+3000 is used as fullwidth space in CJK
> languages.

That's because I didn't know people will want to convert those as part
of this feature, and so didn't include them in the translation table.

Is it true that most/all people who type fullwidth characters will
also type U+3000 instead of an ASCII SPC character?  If so, I will add
them to the translation table; it's easy.  But if some users would
like to leave SPC alone, maybe we should have some optional behavior
or something.

Thanks.